Skip to main content
POST
/
v1
/
credit_grants
/
{id}
Update a credit grant
curl --request POST \
  --url https://api.yorlet.com/v1/credit_grants/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "credit_grant",
  "amount": 123,
  "amount_remaining": 123,
  "amount_used": 123,
  "applicability_config": {
    "limits": {
      "max_credit_per_invoice_item": 2
    },
    "scope": {
      "application": "<string>",
      "invoice_item_type": "rent"
    }
  },
  "currency": "gbp",
  "customer": "<string>",
  "name": "<string>",
  "voided_at": 123,
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
name
string | null

The name of the credit grant. This will be displayed to the customer.

metadata
object

The metadata for the credit grant.

Response

200 - application/json

Update a credit grant

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
credit_grant
amount
integer
required

The total amount of the credit grant.

amount_remaining
integer
required

The remaining amount of the credit grant that has not yet been used.

amount_used
integer
required

The amount of the credit grant that has been used.

applicability_config
object
required

Configuration that controls when and how the credit grant can be applied.

currency
enum<string>
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

customer
required

The ID of the customer the credit grant is for.

name
string | null
required

The name of the credit grant. This will be displayed to the customer.

status
enum<string>
required

The status of the credit grant.

Available options:
active,
voided
voided_at
integer | null
required

The date and time the credit grant was voided.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.